Bug 406481 - 4.1: Bug list pagination
4.1: Bug list pagination
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 12:12 EST by David Lawrence
Modified: 2013-06-23 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 01:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow the buglist columns to be resorted on client side (v1) (25.79 KB, patch)
2008-05-08 16:33 EDT, David Lawrence
dkl: review?
Details | Diff

  None (edit)
Description David Lawrence 2007-11-30 12:12:14 EST
Description:
Add pagination to buglist.cgi so that long bug lists can be viewed more efficiently. Either use ajax based approach that retrieves a small set of each results each page, or use Yahoo YUI datatable support which loads the whole buglist into the client and uses JS to create sortable paged table (slower).


Requester:
Dave Lawrence
Comment 1 David Lawrence 2008-05-08 16:33:37 EDT
Created attachment 304894 [details]
Patch to allow the buglist columns to be resorted on client side (v1)

Uses sorttable.js which allows a table to be sorted when clicking the header.
Does not give us pagination but is a simple way to add sorting functionality to
our current templates.

Please review.
Dave
Comment 2 David Lawrence 2008-05-08 16:37:11 EDT
Link to YUI DataTable example from HTML table source.

http://developer.yahoo.com/yui/examples/datatable/dt_enhanced.html
Comment 3 David Lawrence 2008-08-18 17:10:45 EDT
Voting for future Bugzilla features will be opening soon. Announcement of start date will be posted to the bugzilla-development-list@redhat.com and other broader audience.

Dave
Comment 4 David Lawrence 2010-01-15 12:32:32 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 5 David Lawrence 2010-08-25 17:40:45 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 7 Jeff Fearn 2012-05-30 00:37:49 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 8 Jeff Fearn 2012-07-19 01:25:33 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.